import request from '@/utils/request'

// 查询蒸汽裂解装置各区域围堰列表
export function listCofferdam(query) {
  return request({
    url: '/dev/cofferdam/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽裂解装置各区域围堰详细
export function getCofferdam(id) {
  return request({
    url: '/dev/cofferdam/' + id,
    method: 'get'
  })
}

// 新增蒸汽裂解装置各区域围堰
export function addCofferdam(data) {
  return request({
    url: '/dev/cofferdam',
    method: 'post',
    data: data
  })
}

// 修改蒸汽裂解装置各区域围堰
export function updateCofferdam(data) {
  return request({
    url: '/dev/cofferdam',
    method: 'put',
    data: data
  })
}

// 删除蒸汽裂解装置各区域围堰
export function delCofferdam(id) {
  return request({
    url: '/dev/cofferdam/' + id,
    method: 'delete'
  })
}
